Bug 97001 - (IEEE1394 SBP2)modprobe sbp2 after bus reset oopses kernel 2.4.20-13.9
(IEEE1394 SBP2)modprobe sbp2 after bus reset oopses kernel 2.4.20-13.9
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-08 10:29 EDT by Didier
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-29 08:04:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
2.4.20-13.9 oops when modprobing sbp2 (3.29 KB, text/plain)
2003-06-08 10:34 EDT, Didier
no flags Details

  None (edit)
Description Didier 2003-06-08 10:29:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
Because of kernel 2.4.20-18.9 bug #92193 and bug #96972 , I've reverted to
kernel 2.4.20-13.9.

After running file I/O on an external IEEE1394 attached hard drive, after a
while (could be anything from 10 to 60 minutes) I usually get bus resets
(effectively rendering external IEEE1394 storage useless) ; I don't know whether
this is load related.

Trying to recover from the bus reset (which also yields the external devices
undetectable), I rmmod'ed  sbp2, ohci1394 and ieee1394.

On reloading these modules, I get an oops when modprobing sbp2 (see attachment).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. file I/O on external IEEE1394, bus reset
2. umount /dev/sda{x}
3. rmmod sbp2 ohci1394 ieee1394
4. modprobe ieee1394
5. modprobe ohci1394
6. modprobe sbp2

Actual Results:  Segmentation fault
Kernel OOPS
(also see bug #96972)

Expected Results:  sbp2 should load , allowing for the external IEEE1394 devices
to be redetected.

Additional info:

IBM ThinkPad A30p ; lspci & lsmod : please see bug #96972

After experiencing this OOPS, I need to reboot the kernel to allow redetection.
However, more often than not, after a warm boot the machine completely hard
locks when the kernel loads ohci1394 :

localhost kernel: ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
localhost kernel: PCI: Found IRQ 11 for device 02:00.2
localhost kernel: PCI: Sharing IRQ 11 with 00:1d.2
localhost kernel: PCI: Sharing IRQ 11 with 00:1f.1
localhost kernel: PCI: Sharing IRQ 11 with 02:02.0

After a cold start (manual switch-off), the machine continues to operate with :

... (see above)
localhost kernel: ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[11] 
MMIO=[c0201000-c02017ff]  Max Packet=[2048]
... etc.
Comment 1 Didier 2003-06-08 10:34:04 EDT
Created attachment 92262 [details]
2.4.20-13.9 oops when modprobing sbp2

Please advise whether James Goodwin <jamesg@filanet.com> (SBP2) or Ben Collins
<bcollins@debian.org> (OHCI1394) should be CC:'d ?
Comment 2 Didier 2004-01-29 08:04:48 EST
Upgraded to 2.6.1 ; WFM.

Note You need to log in before you can comment on or make changes to this bug.